image: registry.gitlab.com/etermax/platform/util/k8s-deploy-cli:2.10.0-ci

variables:
  DOCKER_DRIVER: overlay2
  DOCKER_TLS_CERTDIR: ""
  GIT_STRATEGY: fetch
  SERVICE_NAME: fizz-buzz-kata-aioros2
  K8S_API_VERSION: apps/v1

services:
  - docker:19.03.0-dind

include:
  - project: 'etermax/platform/util/ci-cd-templates'
    ref: 1.3.0
    file: 'registry-template.yml'
  - project: 'etermax/platform/util/ci-cd-templates'
    ref: 1.3.0
    file: 'deploy-template.yml'

stages:
  - build and push
  - staging
  - production
  - rollback
